summaryrefslogtreecommitdiff
path: root/waterfox
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2018-10-08 15:46:22 -0400
committerB Stack <bgstack15@gmail.com>2018-10-08 15:46:22 -0400
commitf90303c185f00cac1d710d46a02902459badd108 (patch)
tree501a044fef477835a9db356481136174b6aa22cc /waterfox
parentre-exclude a few freebsd patches before the higher rev number (diff)
downloadstackrpms-f90303c185f00cac1d710d46a02902459badd108.tar.gz
stackrpms-f90303c185f00cac1d710d46a02902459badd108.tar.bz2
stackrpms-f90303c185f00cac1d710d46a02902459badd108.zip
pull latest 56.2.3 build from upstream copr
Diffstat (limited to 'waterfox')
-rw-r--r--waterfox/.gitignore3
-rwxr-xr-xwaterfox/waterfox-FreeBSD-patches-snapshot.sh33
-rw-r--r--waterfox/waterfox.spec20
3 files changed, 54 insertions, 2 deletions
diff --git a/waterfox/.gitignore b/waterfox/.gitignore
new file mode 100644
index 0000000..44c08e1
--- /dev/null
+++ b/waterfox/.gitignore
@@ -0,0 +1,3 @@
+/FreeBSD-*.patch
+/wf-*.patch
+!/wf-pull-547.patch
diff --git a/waterfox/waterfox-FreeBSD-patches-snapshot.sh b/waterfox/waterfox-FreeBSD-patches-snapshot.sh
new file mode 100755
index 0000000..b94f850
--- /dev/null
+++ b/waterfox/waterfox-FreeBSD-patches-snapshot.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+
+module=$(basename "$0" -snapshot.sh)
+snaproot="https://svn.freebsd.org/ports/head/www/waterfox/files"
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+ set +e
+ ([ -z "${tmp}" ] || [ ! -d "${tmp}" ]) || rm -rf "${tmp}"
+}
+
+unset CDPATH
+unset SNAP_COOPTS
+pwd=$(pwd)
+snap=${snap:-$(date +%Y%m%d)}
+
+[ "${snap}" = "$(date +%Y%m%d)" ] || SNAP_COOPTS="-r {$snap}"
+if [ -n "${rev}" ] ; then
+ SNAP_COOPTS="-r ${rev}"
+ snap="${rev}"
+fi
+
+pushd "${tmp}"
+ svn co ${SNAP_COOPTS} ${snaproot} ${module}
+ rev=$(svnversion "${module}")
+ rev="${rev//[!0-9]/}"
+ mv "${module}" "${module}-r${rev}"
+ tar -Jcf "${pwd}/${module}-r${rev}.tar.xz" --exclude=.svn "${module}-r${rev}"
+popd >/dev/null
diff --git a/waterfox/waterfox.spec b/waterfox/waterfox.spec
index d45d31f..7955ae5 100644
--- a/waterfox/waterfox.spec
+++ b/waterfox/waterfox.spec
@@ -3,7 +3,7 @@
%global date 20180911
%global with_snapshot 1
-%global freebsd_rev 478244
+%global freebsd_rev 480450
%global freebsd_root %{name}-FreeBSD-patches-r%{freebsd_rev}
%if 0%{?with_snapshot}
@@ -69,6 +69,11 @@
# Build as a debug package?
%global debug_build 0
+%global disable_elfhack 0
+%if 0%{?fedora} > 28
+%global disable_elfhack 1
+%endif
+
%global default_bookmarks_file %{_datadir}/bookmarks/default-bookmarks.html
%global waterfox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
# Minimal required versions
@@ -286,6 +291,7 @@ BuildRequires: xorg-x11-server-Xvfb
%endif
BuildRequires: rust
BuildRequires: cargo
+BuildRequires: clang-devel
Obsoletes: mozilla <= 37:1.7.13
Provides: webclient
@@ -388,7 +394,7 @@ done
# 2: no apply
# 3: uncertain
for i in \
- 702179 991253 1021761 1144632 1288587 1452576 1425930 1469914 1469309 1470260 1472925 \
+ 702179 991253 1021761 1144632 1288587 1452576 \
1388744 1413143 \
1447519
do
@@ -460,6 +466,10 @@ echo "ac_add_options --enable-system-ffi" >> .mozconfig
echo "ac_add_options --disable-elf-hack" >> .mozconfig
%endif
+%if 0%{?disable_elfhack}
+echo "ac_add_options --disable-elf-hack" >> .mozconfig
+%endif
+
%if %{?alsa_backend}
echo "ac_add_options --enable-alsa" >> .mozconfig
%endif
@@ -893,6 +903,12 @@ fi
#---------------------------------------------------------------------
%changelog
+* Mon Oct 08 2018 Phantom X <megaphantomx at bol dot com dot br> - 56.2.3-2.20180911git432b427
+- Some spec cleanups adapted from Fedora Firefox
+- BR: clang-devel
+- Disable elfhack for Fedora 29+
+- Remove old gcc 7.2 fix
+
* Fri Sep 14 2018 Phantom X <megaphantomx at bol dot com dot br> - 56.2.3-1.20180911git432b427
- New release/snapshot
bgstack15